<?php require_once('../../Connections/cn.php'); ?>
<?php 
//.................................................................................................. 
// Nombre del Script: archivo_4.php
// Llamado desde: imprime_103.php
// Descripción: Permite generar el Archivo 4: Datos sobre los alumnos activos.
//..................................................................................................
$annio=$_GET['annio'];
$ultima_inscripcion='0-0-'.$annio;

mysql_select_db($database_cn); 
mysql_query ("SET NAMES 'utf8'");

// Se define el query de los datos que contendr� el reporte.
$query = "SELECT DISTINCT
'0000000141' as codinstituto, 
'12490' as programa, 
if(isnull(alumnos.pais_nacimiento),'296',alumnos.pais_nacimiento) AS pais,
if(isnull(alumnos.condicion_res),'1',alumnos.condicion_res) AS residencia,
alumnos.tipo_doc as documento,
alumnos.cedula,
alumnos.apellidos,
alumnos.nombres,
alumnos.sexo as genero,
alumnos.fecha_nac,
'$ultima_inscripcion' AS ultimo,
historial_alumnos.turno,
'' as creditos_aprobados,
alumnos.etnia,
alumnos.becado,
if(isnull(alumnos.privado_lib),'3',alumnos.privado_lib) AS libertad,
if(alumnos.discapacidad=0,'0','1') as discapacidad,
alumnos.discapacidad as tipodisc,
'' as tipo_instituto,
'' as municipio
from alumnos,historial_alumnos WHERE alumnos.id_alumno=historial_alumnos.id_alumno and historial_alumnos.annio='$annio' and historial_alumnos.turno>1 order by apellidos,nombres";


$r = mysql_query( $query ) or trigger_error( mysql_error($cn), E_USER_ERROR );
$return = '';
if( mysql_num_rows($r)>0){
    $return .= '<table border=1>';
    $cols = 0;
    while($rs = mysql_fetch_row($r)){
        $return .= '<tr>';
        if($cols==0){
            $cols = sizeof($rs);
            $cols_names = array();
            for($i=0; $i<$cols; $i++){
                $col_name = mysql_field_name($r,$i);
                $return .= '<th>'.htmlspecialchars($col_name).'</th>';
                $cols_names[$i] = $col_name;
            }
            $return .= '</tr><tr>';
        }
        for($i=0; $i<$cols; $i++){
            # En esta iteración se personalizan datos.
            if($cols_names[$i] == 'nombres'){ # Formateo el nombre de la institución.
                $return .= '<td>'.utf8_decode($rs[$i]).'</td>';
            }else if($cols_names[$i] == 'apellidos'){ # Formateo Código del Instituto
                $return .= '<td>'.utf8_decode($rs[$i]).'</td>';
            }else if($cols_names[$i] == 'codinstituto'){ # Formateo del Código Principal
                $return .= '<td>&nbsp;'.$rs[$i].'</td>';
			}else if($cols_names[$i] == 'correo'){ # Formateo la descripcion de la materia.
                $return .= '<td>'.utf8_decode($rs[$i]).'</td>';
			}else if($cols_names[$i] == 'direccion'){ # Formateo la descripcion de la materia.
                $return .= '<td>'.utf8_decode($rs[$i]).'</td>';	
			}else if($cols_names[$i] == 'dedicacion'){ # Formateo la descripcion de la materia.
                $return .= '<td>'.utf8_decode($rs[$i]).'</td>';	
			}else if($cols_names[$i] == 'municipio'){ # Formateo la descripcion de la materia.
                $return .= '<td>&nbsp;'.$rs[$i].'</td>';	
			}else{
                $return .= '<td>'.htmlspecialchars($rs[$i]).'</td>';
            }
        }
        $return .= '</tr>';
    }
    $return .= '</table>';
    mysql_free_result($r);
}
#Cambiando el content-type más las <table> se pueden exportar formatos como csv
header("Content-type: application/vnd-ms-excel; charset=iso-8859-1");
header("Content-Disposition: attachment; filename=archivo_4_enahp_".$annio.".xls");
echo $return; 
?>

